Subject: Re: [EGIT PATCH] Convert author and comment on demand.

From: Robin Rosenberg <[email-masked]>
Date: Sun, 3 Dec 2006 13:18:32 +0100

söndag 03 december 2006 03:16 skrev Shawn Pearce:
> Robin Rosenberg <[email-masked]> wrote:
> > This sppeds up reading commits a lot by only store the byte
> > array data when reading commits.
>
> Thanks.  I was working on something similar but did not have
> a chance to finish it.  I've applied your patch instead.
>
> > +	    try {
> > +        	BufferedReader br=new BufferedReader(new InputStreamReader(new
> > ByteArrayInputStream(raw)));
> > +        	String n=br.readLine();
>
> Something's wrong with your mail client... the patch was mangled.

Not really, only the user. KMail by default wraps lines and I didn't turn that 
off before sending. Usually I send patches just using stg mail, but this time 
I used git-format-patch and kmail. Generatig attachements may be better (next 
time).